#
# spec file for package kgeo (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline: --kde2
Name:         kgeo
Provides:     keuklid
Obsoletes:    keuklid
Copyright:    GPL
Group:        X11/KDE/Science
Summary:      geometrie constructor
Version:      1.0
Release:      80
Source0:      kgeo-1.0.tar.bz2
Patch0: kgeo-1.0.dif

%description
Keuklid creates standard geometries like the ones from your schoolbook.

Authors:
--------
    Marc Bartsch <marc.bartsch@topmail.de>

SuSE series: k2de

%prep
%setup -n kgeo-1.0
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config  -f }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc AUTHORS INSTALL COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/kgeo
%dir /opt/kde2/share/apps/kgeo/pics
%dir /opt/kde2/share/apps/kgeo/toolbar
%dir /opt/kde2/share/icons/locolor/16x16
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
/opt/kde2/bin/kgeo
/opt/kde2/share/applnk/Applications/kgeo.desktop
/opt/kde2/share/apps/kgeo/kgeoui.rc
/opt/kde2/share/apps/kgeo/pics/splash.png
/opt/kde2/share/apps/kgeo/toolbar/angle.xpm
/opt/kde2/share/apps/kgeo/toolbar/arc.xpm
/opt/kde2/share/apps/kgeo/toolbar/areaCircle.xpm
/opt/kde2/share/apps/kgeo/toolbar/attacher.xpm
/opt/kde2/share/apps/kgeo/toolbar/baseCircle.xpm
/opt/kde2/share/apps/kgeo/toolbar/bisection.xpm
/opt/kde2/share/apps/kgeo/toolbar/black.xpm
/opt/kde2/share/apps/kgeo/toolbar/blue.xpm
/opt/kde2/share/apps/kgeo/toolbar/circle.xpm
/opt/kde2/share/apps/kgeo/toolbar/circumference.xpm
/opt/kde2/share/apps/kgeo/toolbar/darkGray.xpm
/opt/kde2/share/apps/kgeo/toolbar/distance.xpm
/opt/kde2/share/apps/kgeo/toolbar/eraser.xpm
/opt/kde2/share/apps/kgeo/toolbar/exit.png
/opt/kde2/share/apps/kgeo/toolbar/filenew.png
/opt/kde2/share/apps/kgeo/toolbar/fileopen.png
/opt/kde2/share/apps/kgeo/toolbar/fileprint.png
/opt/kde2/share/apps/kgeo/toolbar/filesave.png
/opt/kde2/share/apps/kgeo/toolbar/fixedCircle.xpm
/opt/kde2/share/apps/kgeo/toolbar/green.xpm
/opt/kde2/share/apps/kgeo/toolbar/help.png
/opt/kde2/share/apps/kgeo/toolbar/lightGray.xpm
/opt/kde2/share/apps/kgeo/toolbar/line.xpm
/opt/kde2/share/apps/kgeo/toolbar/middleLine.xpm
/opt/kde2/share/apps/kgeo/toolbar/mirrorPoint.xpm
/opt/kde2/share/apps/kgeo/toolbar/move.xpm
/opt/kde2/share/apps/kgeo/toolbar/moveGrid.xpm
/opt/kde2/share/apps/kgeo/toolbar/parallel.xpm
/opt/kde2/share/apps/kgeo/toolbar/perpendicular.xpm
/opt/kde2/share/apps/kgeo/toolbar/point.xpm
/opt/kde2/share/apps/kgeo/toolbar/pointOfConc.xpm
/opt/kde2/share/apps/kgeo/toolbar/pointOnLine.xpm
/opt/kde2/share/apps/kgeo/toolbar/pointer.xpm
/opt/kde2/share/apps/kgeo/toolbar/pointxy.xpm
/opt/kde2/share/apps/kgeo/toolbar/ray.xpm
/opt/kde2/share/apps/kgeo/toolbar/red.xpm
/opt/kde2/share/apps/kgeo/toolbar/rotation.xpm
/opt/kde2/share/apps/kgeo/toolbar/segment.xpm
/opt/kde2/share/apps/kgeo/toolbar/slope.xpm
/opt/kde2/share/apps/kgeo/toolbar/text.xpm
/opt/kde2/share/apps/kgeo/toolbar/thickLine.xpm
/opt/kde2/share/apps/kgeo/toolbar/thinLine.xpm
/opt/kde2/share/apps/kgeo/toolbar/tracer.xpm
/opt/kde2/share/apps/kgeo/toolbar/triangle.xpm
/opt/kde2/share/apps/kgeo/toolbar/vector.xpm
/opt/kde2/share/apps/kgeo/toolbar/white.xpm
/opt/kde2/share/apps/kgeo/toolbar/window_fullscreen.png
/opt/kde2/share/apps/kgeo/toolbar/yellow.xpm
/opt/kde2/share/icons/kgeo.png
/opt/kde2/share/icons/locolor/16x16/apps/kgeo.png
/opt/kde2/share/icons/locolor/32x32/apps/kgeo.png
/opt/kde2/share/locale/de/LC_MESSAGES/kgeo.mo

%changelog -n kgeo
* Sun Aug 26 2001 - adrian@suse.de
- rename to kgeo and update to version 1.0
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Fri Nov 10 2000 - @suse.de
- Spec file created from keuklid-0.1.2.tar.bz2 by autospec
